Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support
Class BeanPostProcessorAdapter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter

All Implemented Interfaces:
  BeanPostProcessor

Direct Known Subclasses:
  ClassLoaderAwareBeanPostProcessor, GrailsApplicationAwareBeanPostProcessor, PluginManagerAwareBeanPostProcessor

    public class BeanPostProcessorAdapter

extends Object
implements BeanPostProcessor

Adapter implementation of `BeanPostProcessor`.

Since:
  0.2
Author:
  Steven Devijver
See Also:
  `BeanPostProcessor`

Constructor Summary
`BeanPostProcessorAdapter()`

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPostProcessorAdapter

    public BeanPostProcessorAdapter()

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` -
    `beanName` -
  Returns:
    The specified bean
  Throws:
    `BeansException`
  See Also:
    `BeanPostProcessor.postProcessBeforeInitialization(Object, String)`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`
  Parameters:
    `bean` -
    `beanName` -
  Returns:
    The specified bean
  Throws:
    `BeansException`
  See Also:
    `BeanPostProcessor.postProcessAfterInitialization(Object, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project